Package org.eclipse.emf.spi.cdo

# Class AbstractQueryIterator<T>

java.lang.Object
org.eclipse.emf.cdo.spi.common.AbstractQueryResult<T>
org.eclipse.emf.spi.cdo.AbstractQueryIterator<T>

All Implemented Interfaces:
  `Iterator<T>`, `BlockingCloseableIterator<T>`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.CloseableIterator<T>`

public abstract class AbstractQueryIterator<T> extends AbstractQueryResult<T>
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Simon McDuff
No Extend
  This interface is not intended to be extended by clients.

## Constructor Summary

Constructors
Constructor
Description
`AbstractQueryIterator(CDOView view, CDOQueryInfo queryInfo)`

## Method Summary

Modifier and Type
Method
Description
`abstract List<T>`
`asList()`
`abstract T`
`asValue()`
`void`
`close()`
`CDOView`
`getView()`
`void`
`remove()`
`void`
`setQueryID(int queryID)`
`void`
`waitForInitialization()`

### Methods inherited from class org.eclipse.emf.cdo.spi.common.AbstractQueryResult

`getQueryID, getQueryInfo, getQueue, hasNext, isClosed, next, peek`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### AbstractQueryIterator

public AbstractQueryIterator(CDOView view, CDOQueryInfo queryInfo)

Since:
  3.0

## Method Details

### setQueryID

public void setQueryID(int queryID)

Overrides:
  `setQueryID` in class `AbstractQueryResult<T>`

### waitForInitialization

public void waitForInitialization() throws InterruptedException

Throws:
  `InterruptedException`

### getView

public CDOView getView()

Overrides:
  `getView` in class `AbstractQueryResult<T>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<T>`
Overrides:
  `remove` in class `AbstractQueryResult<T>`

### close

public void close()

Specified by:
  `close` in interface `org.eclipse.net4j.util.collection.Closeable`
Overrides:
  `close` in class `AbstractQueryResult<T>`

### asList

public abstract List<T> asList()

### asValue

public abstract T asValue()

Since:
  4.2